### File

`packages/core/src/lib/services/loader/eui-loader.model.ts`

### Description

A library is a set of script and style dependencies that can be loaded dynamically

Example :

const library: Library = { name: 'Quill', dependencies: [ { name: 'quill', url: 'https://cdn.quilljs.com/1.3.6/quill.js', type: 'js', requires: [], loaded: false, error: false, }, { name: 'quill', url: 'https://cdn.quilljs.com/1.3.6/quill.snow.css', type: 'css', requires: [], loaded: false, error: false, }, ], status: Status.LOADING, };

### Index

###### Properties

- dependencies
- name
- status

### Properties

dependencies
`dependencies: `Dependency[]``
Type : `Dependency[]`
a set of script and style dependencies

name
`name: `string``
Type : `string`
global variable object name that the script will give to the library

status
`status: `Status``
Type : `Status`
the status of the library e.g. LOADED

# results matching ""

# No results matching ""